# SimpleMediaType< Type, sdp > Class Template Reference

`#include <mediatype.h>`

Inheritance diagram for SimpleMediaType< Type, sdp >:

[legend]
Collaboration diagram for SimpleMediaType< Type, sdp >:
[legend]

## Public Member Functions

| SimpleMediaType ()
virtual | ~SimpleMediaType ()
virtual RTP_UDP * | CreateRTPSession (OpalRTPConnection &, unsigned, bool)
PString | GetRTPEncoding () const
virtual SDPMediaDescription * | CreateSDPMediaDescription (const OpalTransportAddress &)

### template<char * Type, const char * sdp>
class SimpleMediaType< Type, sdp >

## Constructor & Destructor Documentation

template<char * Type, const char * sdp>

SimpleMediaType< Type, sdp >::SimpleMediaType | ( |  | ) | `[inline]`

template<char * Type, const char * sdp>

virtual SimpleMediaType< Type, sdp >::~SimpleMediaType | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<char * Type, const char * sdp>

virtual RTP_UDP* SimpleMediaType< Type, sdp >::CreateRTPSession | ( | OpalRTPConnection & | ,
|  | unsigned | ,
|  | bool |  |
| ) |  |  | `[inline, virtual]`

Create an RTP session for this media format. By default, this will create a RTP_UDP session with the correct initial format

Only valid if UsesRTP return true

Reimplemented from OpalMediaTypeDefinition.

template<char * Type, const char * sdp>

virtual SDPMediaDescription* SimpleMediaType< Type, sdp >::CreateSDPMediaDescription | ( | const OpalTransportAddress & |  | ) | `[inline, virtual]`

Implements OpalMediaTypeDefinition.

template<char * Type, const char * sdp>

PString SimpleMediaType< Type, sdp >::GetRTPEncoding | ( |  | ) | const`[inline, virtual]`

Get the string used for the RTP_FormatHandler PFactory which is used to create the RTP handler for the this media type possible values include "rtp/avp" and "udptl"

Only valid if UsesRTP return true

Implements OpalMediaTypeDefinition.

The documentation for this class was generated from the following file:

- mediatype.h